%define major     5
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%bcond_without  tests

Name:           tre
Version:        0.9.0
Release:        %mkrel 2
Summary:        Lightweight, robust, and efficient POSIX compliant regexp matching library
License:        GPLv2+
Group:          System/Libraries
URL:            https://laurikari.net/tre/
Source0:        https://github.com/laurikari/tre/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  libltdl-devel
BuildRequires:  libzip-devel
BuildRequires:  gettext-devel
%{?with_tests:
BuildRequires:  locales-en }

%description
TRE is a lightweight, robust, and efficient POSIX compliant regexp
matching library with some exciting features such as approximate
matching.

%package -n     %{libname}
Summary:        Lightweight, robust, and efficient POSIX compliant regexp matching library
Group:          System/Libraries

%description -n %{libname}
TRE is a lightweight, robust, and efficient POSIX compliant regexp
matching library with some exciting features such as approximate
matching.

%package -n     agrep
Summary:        Approximate matching
Group:          Text tools

%description -n agrep
Approximate pattern matching allows matches to be approximate,
that is, allows the matches to be close to the searched pattern
under some measure of closeness. TRE uses the edit-distance
measure (also known as the Levenshtein distance) where characters
can be inserted, deleted, or substituted in the searched text in
order to get an exact match. Each insertion, deletion, or
substitution adds the distance, or cost, of the match. TRE can
report the matches which have a cost lower than some given
threshold value. TRE can also be used to search for matches with
the lowest cost.

TRE includes a version of the agrep command line tool for
approximate regexp matching in the style of grep.  Unlike other
agrep implementations (like the one by Sun Wu and Udi Manber from
University of Arizona available) TRE agrep allows full regexps of
any length, any number of errors, and non-uniform costs for
insertion, deletion and substitution.

%package -n     %{develname}
Summary:        Header files and libraries for developing apps with %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
    --disable-static \
    --disable-rpath
%make_build

%install
%make_install

%find_lang %{name}

%check
%{?with_tests:
make check || : }

%files -n %{libname}
%license LICENSE
%doc AUTHORS ChangeLog.old NEWS README.md THANKS TODO
%doc doc/tre-syntax.html
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n agrep -f %{name}.lang
%license LICENSE
%{_bindir}/agrep
%{_mandir}/man1/*

%files -n %{develname}
%{_includedir}/tre/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/tre.pc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.9.0-2.mga10
+ Revision: 2229922
- Mageia 10 Mass Rebuild

* Mon Nov 11 2024 daviddavid <daviddavid> 0.9.0-1.mga10
+ Revision: 2114261
- new version: 0.9.0 (thanks to Aurelian R, mga#33745)

* Thu Mar 17 2022 umeabot <umeabot> 0.8.0-18.mga9
+ Revision: 1797059
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.8.0-17.mga8
+ Revision: 1517456
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.0-16.mga7
+ Revision: 1301454
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 pterjan <pterjan> 0.8.0-15.mga7
+ Revision: 1240236
- Fix build on aarch64

* Wed Nov 16 2016 neoclust <neoclust> 0.8.0-14.mga6
+ Revision: 1067524
- Fix CVE-2015-3796 and CVE-2016-8859 ( mga #19793)

* Mon Jan 18 2016 dlucio <dlucio> 0.8.0-13.mga6
+ Revision: 925254
- bump release

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-12.mga5
+ Revision: 739774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-11.mga5
+ Revision: 689947
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 0.8.0-10.mga5
+ Revision: 662371
- fix lib major
- drop .la files
- drop unneeded requires

* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-9.mga4
+ Revision: 539486
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 dlucio <dlucio> 0.8.0-8.mga4
+ Revision: 492264
- bump release

* Mon Jan 14 2013 umeabot <umeabot> 0.8.0-7.mga3
+ Revision: 384786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 0.8.0-6.mga3
+ Revision: 310485
- spec clean-up
- update RPM group

* Mon Oct 08 2012 dlucio <dlucio> 0.8.0-5.mga3
+ Revision: 303324
- rebuild

* Fri Apr 08 2011 obgr_seneca <obgr_seneca> 0.8.0-4.mga1
+ Revision: 82480
- changed upstream url
- removed buildroot-tag
- imported package tre


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-3mdv2011.0
+ Revision: 615237
- the mass rebuild of 2010.1 packages

* Wed Mar 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.0-2mdv2010.1
+ Revision: 530520
- clean spec and disable static build (thanks to Matthew Dawkins)

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 449731
- update to new version 0.8.0

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 402754
- update to new version 0.7.6

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.7.5-4mdv2009.0
+ Revision: 261647
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.7.5-3mdv2009.0
+ Revision: 254729
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.7.5-1mdv2008.1
+ Revision: 140921
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 12 2006 Lenny Cartier <lenny@mandriva.com> 0.7.5-1mdv2007.0
+ Revision: 95236
- Update to 0.7.5
- Import tre

